pofilter(1)

NAME
pofilter - simple script to run all check filters on gettext .po localization file(s)

SYNOPSIS

pofilter [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [--psyco MODE] [-l|--listfilters] [--review] [--noreview] [--fuzzy] [--nofuzzy] [--header] [--autocorrect] [--language LANG] [--openoffice] [--mozilla] [--gnome] [--kde] [--excludefilter FILTER] [-t|--test FILTER] [--notranslatefile FILE] [--musttranslatefile FILE] [--validcharsfile FILE]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress=PROGRESS
    show progress as: dots, none, bar, names, verbose

--errorlevel=ERRORLEVEL
    show errorlevel as: none, message, exception, traceback

-iINPUT, --input=INPUT
    read from INPUT in xlf, pot, xliff, xlff, po formats

-xEXCLUDE, --exclude=EXCLUDE
    exclude names matching EXCLUDE from input paths

-oOUTPUT, --output=OUTPUT
    write to OUTPUT in xlf, pot, po, xliff, xlff formats

--psyco=MODE
    use psyco to speed up the operation, modes: none, full, profile

-l, --listfilters
    list filters available

--review
    include units marked for review (default)

--noreview
    exclude units marked for review

--fuzzy
    include units marked fuzzy (default)

--nofuzzy
    exclude units marked fuzzy

--header
    include a PO header in the output

--autocorrect
    output automatic corrections where possible rather than describing issues

--language=LANG
    set target language code (e.g. af-ZA) [required for spell check and recommended in general]

--openoffice
    use the standard checks for OpenOffice translations

--mozilla
    use the standard checks for Mozilla translations

--gnome
    use the standard checks for Gnome translations

--kde
    use the standard checks for KDE translations

--excludefilter=FILTER
    don't use FILTER when filtering

-tFILTER, --test=FILTER
    only use test FILTERs specified with this option when filtering

--notranslatefile=FILE
    read list of untranslatable words from FILE (must not be translated)

--musttranslatefile=FILE
    read list of translatable words from FILE (must be translated)

--validcharsfile=FILE
    read list of all valid characters from FILE (must be in UTF-8)